Bug 828043 - F17pre-ga3 PPC64: BUG-soft lockup - CPU got stuck for several seconds
F17pre-ga3 PPC64: BUG-soft lockup - CPU got stuck for several seconds
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
ppc64 All
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 02:31 EDT by IBM Bug Proxy
Modified: 2013-01-08 11:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 11:07:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console-installation-log.txt (183.46 KB, text/plain)
2012-06-04 02:31 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 82028 None None None 2012-06-04 02:31:04 EDT

  None (edit)
Description IBM Bug Proxy 2012-06-04 02:31:04 EDT
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2012-05-31 08:08:45 ==
While trying to install F17 prega3 ppc64 by following below scenario , it threw BUG at cpu soft lockup and got stuck with Call trace. Installation did not proceed further.

--- What steps I followed ---
This system has one native disk (sda) and four multipath disks attached.

step1) Install f17 prega3 ppc64 on sda (native disk) successfully
step2) Install f17 prega3 ppc64 on one of the multipath disk 
step3) After installation on multipath disk , booted with the installed multipath disk , which dropped me to the grub> prompt
step4)Tried to reinstall the system and booted with virtual DVD attached 
         - Choose to go with basic storage installation
         - Removed all the partitions from the sda (native drive)
         - Removed swap file system from the earlier multipath installed disk
Step5) Forcefully rebooted the system without any installation.
Step6) booted from the virtual DVD again , and went for the re-installation by providing following boot command line parameters 
     boot: linux ip=9.3.110.175::9.3.110.1:255.255.255.0:xxx.xxx.xxx.com:eth0:none nameserver=9.0.9.1 debug rd.debug sshd vnc

After sometime it got Call trace and BUG at soft lockup .

Attached install log captured from the console "console-installation-log.txt"

== Comment: #1 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2012-05-31 08:12:12 ==
Forgot to attach call trace noticed in problem description part. Attaching here.


--- Call Trace noticed ---
[   32.010268] BUG: soft lockup - CPU#0 stuck for 22s! [kworker/u:0:5]
[   32.010274] BUG: soft lockup - CPU#2 stuck for 22s! [kworker/u:2:305]
[   32.010277] Modules linked in:
[   32.010279] Modules linked in: ibmvscsic ibmvscsic scsi_transport_srp scsi_transport_srp ibmveth ibmveth scsi_tgt scsi_tgt sunrpc sunrpc xts xts lrw lrw gf128mul gf128mul sha256_generic sha256_generic dm_crypt dm_crypt dm_round_robin dm_round_robin dm_multipath dm_multipath linear linear raid10 raid10 raid456 raid456 async_raid6_recov async_raid6_recov async_memcpy async_memcpy async_pq async_pq raid6_pq raid6_pq async_xor async_xor xor xor async_tx async_tx raid1 raid1 raid0 raid0 scsi_dh_rdac scsi_dh_rdac scsi_dh_hp_sw scsi_dh_hp_sw scsi_dh_emc scsi_dh_emc scsi_dh_alua scsi_dh_alua iscsi_tcp iscsi_tcp libiscsi_tcp libiscsi_tcp libiscsi libiscsi scsi_transport_iscsi scsi_transport_iscsi squashfs squashfs cramfs cramfs
[   32.010337] 
[   32.010339] NIP: c00000000011d3c8 LR: c00000000011d3a4 CTR: 0000000001679580
[   32.010343] NIP: c00000000011d3c0 LR: c00000000011d3a4 CTR: 0000000001679580
[   32.010348] REGS: c00000005820b3e0 TRAP: 0901   Not tainted  (3.3.4-5.fc17.ppc64)
[   32.010351] REGS: c00000007c2873e0 TRAP: 0901   Not tainted  (3.3.4-5.fc17.ppc64)
[   32.010354] MSR: 8000000000009032 MSR: 8000000000009032 <<SFSF,EE,EE,ME,ME,IR,IR,DR,DR,RI>  CR: 44002084  XER: 20000001
[   32.010365] ,RICFAR: c00000000011d3d0
[   32.010367] >TASK = c00000007c201b20[5] 'kworker/u:0' THREAD: c00000007c284000  CR: 44002084  XER: 20000001
[   32.010373]  CPU: 0CFAR: c00000000011d3d0
[   32.010377] TASK = c000000058183640[305] 'kworker/u:2' THREAD: c000000058208000
[   32.010379] GPR00:  CPU: 2
[   32.010381] GPR00: c00000000011d3a4 c00000000011d3a4 c00000005820b660 c00000007c287660 c0000000012d0a28 0000000000000400 c0000000012d0a28 0000000000000400 
[   32.010390] GPR04: 0000000000000000 
[   32.010392] GPR04: 0000000000000000 0000000000000400 0000000000000400 fffffffffffffff0 fffffffffffffff0 ffffffffffffffff 
[   32.010398] GPR08: ffffffffffffffff 0000000000000000 
[   32.010401] GPR08: 0000000000000001 0000000000000000 0000000000000001 0000000000000000 0000000000000001 
[   32.010407] GPR12: 0000000000000000 0000000000000001 0000000000000000 c00000000eb81000 
[   32.010411] GPR12: 0000000000000000 
[   32.010424] NIP [c00000000011d3c8] .smp_call_function_many+0x2b8/0x360
[   32.010427] c00000000eb80000 LR [c00000000011d3a4] .smp_call_function_many+0x294/0x360
[   32.010432] 
[   32.010433] Call Trace:
[   32.010436] NIP [c00000000011d3c0] .smp_call_function_many+0x2b0/0x360
[   32.010440] [c00000005820b660] [c00000000011d3a4] .smp_call_function_many+0x294/0x360 (unreliable)
[   32.010446] LR [c00000000011d3a4] .smp_call_function_many+0x294/0x360
[   32.010450] [c00000005820b740] [c00000000011d4d0] .smp_call_function+0x60/0x90Call Trace:
[   32.010453] 
[   32.010459] [c00000007c287660] [c00000000011d3a4] .smp_call_function_many+0x294/0x360[c00000005820b7e0] [c00000000011d548] .on_each_cpu+0x48/0x100 (unreliable)
[   32.010465] 
[   32.010469] [c00000007c287740] [c00000000011d4d0] .smp_call_function+0x60/0x90[c00000005820b890] [c00000000027c204] .invalidate_bh_lrus+0x34/0x50
[   32.010476] 
[   32.010479] [c00000007c2877e0] [c00000000011d548] .on_each_cpu+0x48/0x100[c00000005820b910] [c00000000028693c] .kill_bdev+0x3c/0x70
[   32.010486] 
[   32.010489] [c00000007c287890] [c00000000027c204] .invalidate_bh_lrus+0x34/0x50[c00000005820b9a0] [c0000000002879f4] .__blkdev_put+0xa4/0x260
[   32.010495] 
[   32.010498] [c00000007c287910] [c00000000028693c] .kill_bdev+0x3c/0x70[c00000005820ba60] [c000000000287c34] .blkdev_put+0x84/0x1d0
[   32.010504] 
[   32.010506] [c00000007c2879a0] [c0000000002879f4] .__blkdev_put+0xa4/0x260[c00000005820bb10] [c0000000003e85d0] .add_disk+0x440/0x4a0
[   32.010514] 
[   32.010517] [c00000007c287a60] [c000000000287c34] .blkdev_put+0x84/0x1d0[c00000005820bbe0] [c000000000542db8] .sd_probe_async+0x118/0x200
[   32.010525] 
[   32.010528] [c00000007c287b10] [c0000000003e85d0] .add_disk+0x440/0x4a0[c00000005820bc80] [c0000000000dad60] .async_run_entry_fn+0xd0/0x1f0
[   32.010535] 
[   32.010539] [c00000007c287be0] [c000000000542db8] .sd_probe_async+0x118/0x200[c00000005820bd40] [c0000000000c5bdc] .process_one_work+0x19c/0x530
[   32.010546] 
[   32.010549] [c00000005820be00] [c0000000000c69c0] .worker_thread+0x1a0/0x3e0[c00000007c287c80] [c0000000000dad60] .async_run_entry_fn+0xd0/0x1f0
[   32.010556] 
[   32.010559] [c00000005820bec0] [c0000000000ce678] .kthread+0xc8/0xd0[c00000007c287d40] [c0000000000c5bdc] .process_one_work+0x19c/0x530
[   32.010565] 
[   32.010568] [c00000007c287e00] [c0000000000c69c0] .worker_thread+0x1a0/0x3e0[c00000005820bf90] [c00000000002832c] .kernel_thread+0x54/0x70
[   32.010576] 
[   32.010578] [c00000007c287ec0] [c0000000000ce678] .kthread+0xc8/0xd0Instruction dump:
[   32.010581] 
[   32.010585] [c00000007c287f90] [c00000000002832c] .kernel_thread+0x54/0x707c0004ac 
[   32.010588] 7f83e378 4bf22481 Instruction dump:60000000 
[   32.010592] 2fb30000 486dadd1 419efe2c 60000000 a13d0020 7c0004ac 792a07e1 7f83e378 
[   32.010599] 4bf22481 4182fe20 60000000 60000000 2fb30000 7c210b78 419efe2c 
[   32.010604] 7c421378 a13d0020 <a13d0020> 792a07e1 792a07e1 4182fe20 4082fff0 60000000 4bfffe04 <7c210b78> 
[   32.010612] 7c421378 a13d0020 792a07e1 
[   38.496690] sched: RT throttling activated
[   38.496699] BUG: soft lockup - CPU#3 stuck for 28s! [kworker/u:4:307]
[   38.496702] Modules linked in: ibmvscsic scsi_transport_srp ibmveth scsi_tgt sunrpc xts lrw gf128mul sha256_generic dm_crypt dm_round_robin dm_multipath linear raid10 raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx raid1 raid0 scsi_dh_rdac scsi_dh_hp_sw scsi_dh_emc scsi_dh_alua iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi squashfs cramfs
[   38.496746] NIP: c0000000000109dc LR: c00000000009bdb0 CTR: c0000000000f1400
[   38.496750] REGS: c0000000582134b0 TRAP: 0901   Not tainted  (3.3.4-5.fc17.ppc64)
[   38.496754] MSR: 8000000000009032 <SF,EE,ME,IR,DR,RI>  CR: 22004084  XER: 0000000c
[   38.496763] CFAR: c000000000009f34
[   38.496766] TASK = c000000058186c80[307] 'kworker/u:4' THREAD: c000000058210000 CPU: 3
[   38.496771] GPR00: c00000000009bf8c c000000058213730 c0000000012d0a28 0000000000000001 
[   38.496777] GPR04: 0000000000000000 0000000000000001 c000000001773c80 0000000000000001 
[   38.496784] GPR08: 0002b32bee80dafc 8000000000009032 0000000000bb0000 c0000000000f1550 
[   38.496790] GPR12: 0000000044004028 c00000000eb81800 
[   38.496802] NIP [c0000000000109dc] .arch_local_irq_restore+0x5c/0x70
[   38.496807] LR [c00000000009bdb0] .vprintk+0x280/0x5b0
[   38.496810] Call Trace:
[   38.496818] [c000000058213730] [c0000000582137ee] 0xc0000000582137ee (unreliable)
[   38.496825] [c000000058213770] [c00000000009bf8c] .vprintk+0x45c/0x5b0
[   38.496832] [c0000000582138c0] [c000000000804858] .printk+0x6c/0x84
[   38.496839] [c000000058213950] [c0000000004d891c] .__dev_printk+0x6c/0xf0
[   38.496844] [c0000000582139f0] [c0000000004d8ec4] .dev_printk+0x64/0x80
[   38.496851] [c000000058213ab0] [c000000000542298] .sd_revalidate_disk+0x1088/0x1850
[   38.496857] [c000000058213be0] [c000000000542d60] .sd_probe_async+0xc0/0x200
[   38.496864] [c000000058213c80] [c0000000000dad60] .async_run_entry_fn+0xd0/0x1f0
[   38.496871] [c000000058213d40] [c0000000000c5bdc] .process_one_work+0x19c/0x530
[   38.496877] [c000000058213e00] [c0000000000c69c0] .worker_thread+0x1a0/0x3e0
[   38.496882] [c000000058213ec0] [c0000000000ce678] .kthread+0xc8/0xd0
[   38.496888] [c000000058213f90] [c00000000002832c] .kernel_thread+0x54/0x70
[   38.496892] Instruction dump:
[   38.496896] 986d0243 7d0c42e6 e94d0040 e93e8050 7d29502a 7fa84840 419c000c 39200000 
[   38.496907] 7d3603a6 7d2000a6 61298000 7d210164 <383f0040> ebc1fff0 ebe1fff8 4e800020


Thanks
Comment 1 IBM Bug Proxy 2012-06-04 02:31:27 EDT
Created attachment 589050 [details]
console-installation-log.txt
Comment 2 IBM Bug Proxy 2012-08-28 13:26:57 EDT
------- Comment From clnperez@us.ibm.com 2012-08-28 14:55 EDT-------
Closing as unreproducible since F17 has GA'd and this has not been seen again since the pre GA release.

Note You need to log in before you can comment on or make changes to this bug.